1. Express Deposits
Almara Pay Documentation
  • Introduction
  • Definitions
    • Data Types
    • Error Codes
    • MCCMNC Codes
  • Authorization
    • Overview
    • Token Request
      POST
    • Find Transaction Routes
      GET
    • Health Check
      GET
  • Payouts
    • Overview
    • Payment Order Request Information
    • Mobile Money Requests
      • Overview
      • Mobile Transfers- Safaricom (M-Pesa)
      • Mobile Transfers - Airtel Money
    • Payment Order Requests - Business Transfers
      POST
    • Payment Order Requests - Bank Transfers
      POST
    • Find Payment Order By OriginatorConversationId
      GET
    • Reject Order By OriginatorConversationId
      POST
  • Pay-Ins
    • Payment Links
      • Overview
      • Create Payment Link
      • Find Payment Links By Id
      • Update Payment Link
    • Express Deposits
      • Overview
      • Express Deposit Request
        POST
      • Find Express Deposit By OriginatorConversationId
        GET
    • C2B IPN (Callback)
      • C2B IPN Overview
  • Card Payments
    • Overview
    • Checkout Order Request
      POST
    • Query Checkout Request
      GET
    • Checkout Callback Request
      POST
  • Account Validation
    • Overview
    • Account Number Validation Request
    • Find KYC Status by SystemTraceAuditNumber
    • Account Validation
    • Find Account Validation Status by SystemTraceAuditNumber
  • Platform Services
    • Airtime Purchase
      • Overview
      • Airtime Purchase
      • Find Airtime Purchases By OriginatorConversationId
    • Customer Accounts
      • Balance Check
      • Find Charges By TransactionTypeId
    • Bill Payments
      • Overview
      • Bill Request Validation
      • Bill Request Payment
      • Find Bill Services
      • Find Bill Number By Service Id and Account Number
      • Find Bill Request By Originator Converstion Id
      • Bill Number
  1. Express Deposits

Find Express Deposit By OriginatorConversationId

GET
/v1/express-deposit/check-status
This request retrieves the status of an express deposit order.
The OriginatorConversationId from the Post Express Deposit request is passed as a Query Param here

Sample success response:#

{
    "conversationId": "16780000-a97d-3024-e35a-08d95002792d",
    "originatorConversationId": "sddddtssssss1wqqqqsssss09",
    "merchantRequestID": "11484-25304091-4",
    "phoneNumber": "254799182092",
    "mpesaReceiptNumber": null,
    "resultCode": "0",
    "resultDesc": "The service request is processed successfully",
    "status": "0"
}

Sample failed response:#

{
    "id": "16780000-a97d-3024-00d0-08d936d2e2cb",
    "idType": "SystemConversationId",
    "message": "An exception occurred while processing your request!"
}

Request

Authorization
Query Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/v1/express-deposit/check-status?OriginatorConversationId=b47e0972-6f38-49b8-9158-f333dcaf3f43'
Response Response Example
{}
Modified at 2026-04-30 05:53:25
Previous
Express Deposit Request
Next
C2B IPN Overview
Built with